Skip to content

Update SSH collect session

PATCH
/api/v1/ssh/collect/sessions/{session}/

Updates the SSH collect session with the given ID.

session
required

The ID of the session.

string

The ID of the session.

object
$schema

A URL to the JSON Schema for this object.

string format: uri
expired_at

The time when the session expires. Cannot be used in combination with timeout.

string | null format: date-time
external_id

The external ID of the session. Can be used to connect sessions to other systems.

string | null
multi_connection

Whether this session should keep collecting keys after the first connection.

boolean
multi_key

Whether multiple keys should be collected in this session.

boolean
must_confirm

When enabled, the user has to confirm the collecting by pressing y on the SSH client.

boolean
ssh_banner

The SSH banner to show when connecting to the session.

string | null
ssh_message

The SSH message to show after connecting to the session.

string | null
timeout

The time after which the session expires. Cannot be used in combination with expired_at.

integer | null format: int64

OK

object
$schema

A URL to the JSON Schema for this object.

string format: uri
connection_identifier
required

The username used to connect to the SSH server. This is used to identify the session.

string
connections
required

The connections that that connected to this session.

array | null
object
client_version
required

The client version of the SSH connection.

string
created_at
required

The time when the public key was created.

string format: date-time
id
required

The ID of the public key.

string
ip_address
required

The IP address of the SSH connection.

string
keys
required

The public keys that have been collected.

array | null
object
created_at
required

The time when the public key was created.

string format: date-time
id
required

The ID of the public key.

string
public_key_algorithm
required

The algorithm of the public key.

string
public_key_md5
required

The MD5 hash of the public key.

string
public_key_pem
required

The public key in PEM format.

string
public_key_sha256
required

The SHA256 hash of the public key.

string
public_key_ssh
required

The public key in SSH(RFC4716) format.

string
created_at
required

The time when the session was created.

string format: date-time
expired_at
required

The time when the session expires. Cannot be used in combination with timeout.

string | null format: date-time
external_id
required

The external ID of the session. Can be used to connect sessions to other systems.

string | null
id
required

The ID of the session.

string
multi_connection
required

Whether this session should keep collecting keys after the first connection.

boolean
multi_key
required

Whether multiple keys should be collected in this session.

boolean
must_confirm
required

When enabled, the user has to confirm the collecting by pressing y on the SSH client.

boolean
ssh_banner
required

The SSH banner to show when connecting to the session.

string | null
ssh_message
required

The SSH message to show after connecting to the session.

string | null
status
required

The status of the session.

string
Allowed values: pending completed
updated_at
required

The time when the session was updated.

string format: date-time
webhooks

The webhooks to call when the session is updated.

array | null
object
$schema

A URL to the JSON Schema for this object.

string format: uri
backoff_multiplier

The multiplier to use when calculating the backoff time.

number format: double
default: 2 >= 1
events

The events to trigger the webhook for. If none are provided, all events are triggered.

array | null
Allowed values: key_collected new_connection status_changed
headers

The headers to include in the request.

object
key
additional properties
array | null
id
required

The ID of the webhook.

string
initial_backoff

The initial time in seconds to wait before retrying the webhook.

integer format: int64
default: 10 >= 1
method

The HTTP method to use.

string
default: post
Allowed values: post put patch
retries

The maximum number of retries.

integer format: int32
0
url
required

The webhook URL to call.

string

Error

object
$schema

A URL to the JSON Schema for this object.

string format: uri
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

array | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank